<form class="{{cssClass}} flexcol" autocomplete="off">
 
    {{!-- Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img"/>
 
        <section class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{actor.name}}" placeholder="{{ localize 'mez5e.Name' }}"/>
            </h1>
 
            <aside class="header-exp flexcol">
                <div class="charlevel" title="{{multiclassLabels}}">
                    <label>{{ localize "mez5e.Level" }} {{data.details.level}}</label>
                    <span class="levels">{{classLabels}}</span>
                </div>
 
                {{#unless disableExperience}}
                <div class="experience flexrow">
                    <input name="data.details.xp.value" type="text" value="{{data.details.xp.value}}" placeholder="0" data-dtype="Number"/>
                    <span class="sep">/</span>
                    <span class="max">{{data.details.xp.max}}</span>
                </div>
                <div class="xpbar">
                    <span class="bar" style="width: {{data.details.xp.pct}}%"></span>
                </div>
                {{/unless}}
            </aside>
 
            {{!-- Character Summary --}}
            <ul class="summary flexrow">
                <li>
                    <input type="text" name="data.details.race" value="{{data.details.race}}" placeholder="{{ localize 'mez5e.Race' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.background" value="{{data.details.background}}" placeholder="{{ localize 'mez5e.Background' }}"/>
                </li>
                <li>
                    <input type="text" name="data.details.alignment" value="{{data.details.alignment}}" placeholder="{{ localize 'mez5e.Alignment' }}"/>
                </li>
                <li class="proficiency">
                    <span>{{ localize "mez5e.Proficiency" }} {{numberFormat data.attributes.prof decimals=0 sign=true}}</span>
                </li>
            </ul>
 
            {{!-- Header Attributes --}}
            <ul class="attributes flexrow">
                <li class="attribute health">
                    <h4 class="attribute-name box-title">{{ localize "mez5e.HitPoints" }}</h4>
                    <div class="attribute-value multiple">
                        <input name="data.attributes.hp.value" type="text" value="{{data.attributes.hp.value}}" placeholder="10" data-dtype="Number"/>
                        <span class="sep"> / </span>
                        <input name="data.attributes.hp.max" type="text" value="{{data.attributes.hp.max}}" placeholder="10" data-dtype="Number"/>
                    </div>
                    <footer class="attribute-footer">
                        <input name="data.attributes.hp.temp" type="text" class="temphp" placeholder="+{{ localize 'mez5e.Temp' }}"
                               value="{{data.attributes.hp.temp}}" data-dtype="Number"/>
                        <input name="data.attributes.hp.tempmax" type="text" class="temphp" placeholder="+{{ localize 'mez5e.Max' }}"
                               value="{{data.attributes.hp.tempmax}}" data-dtype="Number"/>
                    </footer>
                </li>
 
                <li class="attribute">
                    <h4 class="attribute-name box-title">{{ localize "mez5e.HitDice" }}</h4>
                    <div class="attribute-value multiple">
                        <label class="hit-dice">{{data.attributes.hd}} <span class="sep"> / </span> {{data.details.level}}</label>
                    </div>
                    <footer class="attribute-footer">
                        <a class="rest short-rest">{{ localize "mez5e.RestS" }}</a>
                        <a class="rest long-rest">{{ localize "mez5e.RestL" }}</a>
                    </footer>
                </li>
 
                <li class="attribute">
                    <h4 class="attribute-name box-title">{{ localize "mez5e.ArmorClass" }}</h4>
                    <div class="attribute-value">
                        <input name="data.attributes.ac.value" type="number" value="{{data.attributes.ac.value}}" placeholder="10"/>
                    </div>
                    <footer class="attribute-footer">
                        <span class="spell-dc">{{localize "mez5e.SpellDC"}} {{data.attributes.spelldc}}</span>
                    </footer>
                </li>
 
                <li class="attribute movement">
                    <h4 class="attribute-name box-title">
                        {{ localize "mez5e.Movement" }}
                        <a class="config-button" data-action="movement" title="{{localize 'mez5e.MovementConfig'}}"><i class="fas fa-cog"></i></a>
                    </h4>
                    <div class="attribute-value">
                        <span>{{movement.primary}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{movement.special}}</span>
                    </footer>
                </li>
 
                <li class="attribute initiative">
                    <h4 class="attribute-name box-title rollable" data-action="rollInitiative">{{ localize "mez5e.Initiative" }}</h4>
                    <div class="attribute-value">
                        <span>{{numberFormat data.attributes.init.total decimals=0 sign=true}}</span>
                    </div>
                    <footer class="attribute-footer">
                        <span>{{ localize "mez5e.Modifier" }}</span>
                        <input name="data.attributes.init.value" type="text" data-dtype="Number" placeholder="0"
                               value="{{numberFormat data.attributes.init.value decimals=0 sign=true}}"/>
                    </footer>
                </li>
            </ul>
        </section>
    </header>
 
    {{!-- Character Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="attributes">{{ localize "mez5e.Attributes" }}</a>
        <a class="item" data-tab="inventory">{{ localize "mez5e.Inventory" }}</a>
        <a class="item" data-tab="features">{{ localize "mez5e.Features" }}</a>
        <a class="item" data-tab="spellbook">{{ localize "mez5e.Spellbook" }}</a>
        <a class="item" data-tab="effects">{{ localize "mez5e.Effects" }}</a>
        <a class="item" data-tab="biography">{{ localize "mez5e.Biography" }}</a>
    </nav>
 
    {{!-- Character Sheet Body --}}
    <section class="sheet-body">
 
        <div class="tab attributes flexrow" data-group="primary" data-tab="attributes">
 
            {{!-- Ability Scores --}}
            <ul class="ability-scores flexrow">
            {{#each data.abilities as |ability id|}}
                <li class="ability {{#if ability.proficient}}proficient{{/if}}" data-ability="{{id}}">
                    <h4 class="ability-name box-title rollable">{{ability.label}}</h4>
                    <input class="ability-score" name="data.abilities.{{id}}.value" type="number" value="{{ability.value}}" placeholder="10"/>
                    <div class="ability-modifiers flexrow">
                        <span class="ability-mod" title="Modifier">{{numberFormat ability.mod decimals=0 sign=true}}</span>
                        <input type="hidden" name="data.abilities.{{id}}.proficient" value="{{ability.proficient}}" data-dtype="Number"/>
                        <a class="proficiency-toggle ability-proficiency" title="{{ localize 'mez5e.Proficiency' }}">{{{ability.icon}}}</a>
                        <span class="ability-save" title="Saving Throw">{{numberFormat ability.save decimals=0 sign=true}}</span>
                    </div>
                </li>
            {{/each}}
            </ul>
 
            {{!-- Skills --}}
            <ul class="skills-list">
            {{#each data.skills as |skill s|}}
                <li class="skill flexrow {{#if skill.value}}proficient{{/if}}" data-skill="{{s}}">
                    <input type="hidden" name="data.skills.{{s}}.value" value="{{skill.value}}" data-dtype="Number"/>
                    <a class="proficiency-toggle skill-proficiency" title="{{skill.hover}}">{{{skill.icon}}}</a>
                    <h4 class="skill-name rollable">{{skill.label}}</h4>
                    <span class="skill-ability">{{skill.ability}}</span>
                    <span class="skill-mod">{{numberFormat skill.total decimals=0 sign=true}}</span>
                    <span class="skill-passive">({{skill.passive}})</span>
                </li>
            {{/each}}
            </ul>
 
            <section class="center-pane flexcol">
 
                {{!-- Body Attributes --}}
                <ul class="attributes flexrow">
                    {{#each resources as |res|}}
                    <li class="attribute resource">
                        <h4 class="attribute-name box-title">
                            <input name="data.resources.{{res.name}}.label" type="text" value="{{res.label}}"
                                   placeholder="{{res.placeholder}}" />
                        </h4>
                        <div class="attribute-value">
                            <label class="recharge checkbox">
                                {{ localize "mez5e.AbbreviationSR" }} <input name="data.resources.{{res.name}}.sr" type="checkbox" {{checked res.sr}}/>
                            </label>
 
                            <input name="data.resources.{{res.name}}.value" type="number" value="{{res.value}}" placeholder="0"/>
                            <span class="sep"> / </span>
                            <input name="data.resources.{{res.name}}.max" type="number" value="{{res.max}}" placeholder="0"/>
 
                            <label class="recharge checkbox">
                                {{ localize "mez5e.AbbreviationLR" }} <input name="data.resources.{{res.name}}.lr" type="checkbox" {{checked res.lr}}/>
                            </label>
                        </div>
                    </li>
                    {{/each}}
                </ul>
 
                {{!-- Counters --}}
                <div class="counters">
                    <div class="counter flexrow death-saves">
                        <h4 class="rollable" data-action="rollDeathSave">{{ localize "mez5e.DeathSave" }}</h4>
                        <div class="counter-value">
                            <i class="fas fa-check"></i>
                            <input name="data.attributes.death.success" type="number" placeholder="0"
                                   value="{{data.attributes.death.success}}"/>
                            <i class="fas fa-times"></i>
                            <input name="data.attributes.death.failure" type="number" placeholder="0"
                                   value="{{data.attributes.death.failure}}"/>
                        </div>
                    </div>
                    <div class="counter flexrow exhaustion">
                        <h4>{{ localize "mez5e.Exhaustion" }}</h4>
                        <div class="counter-value">
                            <input name="data.attributes.exhaustion" type="number" placeholder="0"
                                   value="{{data.attributes.exhaustion}}" />
                        </div>
                    </div>
                    <div class="counter flexrow inspiration">
                        <h4>{{ localize "mez5e.Inspiration" }}</h4>
                        <div class="counter-value">
                            <input type="checkbox" name="data.attributes.inspiration" data-dtype="Boolean"
                                   {{checked data.attributes.inspiration}}/>
                        </div>
                    </div>
                </div>
 
                {{!-- Traits --}}
                {{> "systems/mez5e/templates/actors/parts/actor-traits.html"}}
            </section>
        </div>
 
        {{!-- Inventory Tab --}}
        <div class="tab inventory flexcol" data-group="primary" data-tab="inventory">
            {{> "systems/mez5e/templates/actors/parts/actor-inventory.html" sections=inventory}}
        </div>
 
        {{!-- Features Tab --}}
        <div class="tab features flexcol" data-group="primary" data-tab="features">
            {{> "systems/mez5e/templates/actors/parts/actor-features.html" sections=features}}
        </div>
 
        {{!-- Spellbook Tab --}}
        <div class="tab spellbook flexcol" data-group="primary" data-tab="spellbook">
            {{> "systems/mez5e/templates/actors/parts/actor-spellbook.html"}}
        </div>
 
        {{!-- Effects Tab --}}
        <div class="tab effects flexcol" data-group="primary" data-tab="effects">
            {{> "systems/mez5e/templates/actors/parts/active-effects.html"}}
        </div>
 
        {{!-- Biography Tab --}}
        <div class="tab flexrow" data-group="primary" data-tab="biography">
            <div class="characteristics flexcol">
                <label>{{ localize "mez5e.Appearance" }}</label>
                <textarea name="data.details.appearance">{{data.details.appearance}}</textarea>
                <label>{{ localize "mez5e.PersonalityTraits" }}</label>
                <textarea name="data.details.trait">{{data.details.trait}}</textarea>
                <label>{{ localize "mez5e.Ideals" }}</label>
                <textarea name="data.details.ideal">{{data.details.ideal}}</textarea>
                <label>{{ localize "mez5e.Bonds" }}</label>
                <textarea name="data.details.bond">{{data.details.bond}}</textarea>
                <label>{{ localize "mez5e.Flaws" }}</label>
                <textarea name="data.details.flaw">{{data.details.flaw}}</textarea>
            </div>
            <div class="biography">
                {{editor content=data.details.biography.value target="data.details.biography.value" button=true owner=owner editable=editable}}
            </div>
        </div>
    </section>
</form>
 

